# Class ContextConfig.DefaultWebXmlCacheEntry

java.lang.Object
org.apache.catalina.startup.ContextConfig.DefaultWebXmlCacheEntry

Enclosing class:
  `ContextConfig`

protected static class ContextConfig.DefaultWebXmlCacheEntry extends Object
Cache entry for the default web.xml fragment associated with a Host.

## Method Summary

Modifier and Type
Method
Description
`long`
`getGlobalTimeStamp()`
Returns the last modified timestamp of the global web.xml.
`long`
`getHostTimeStamp()`
Returns the last modified timestamp of the host web.xml.
`WebXml`
`getWebXml()`
Returns the cached web.xml fragment.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getWebXml

public WebXml getWebXml()
Returns the cached web.xml fragment.

Returns:
  the web.xml fragment

### getGlobalTimeStamp

public long getGlobalTimeStamp()
Returns the last modified timestamp of the global web.xml.

Returns:
  the global web.xml timestamp

### getHostTimeStamp

public long getHostTimeStamp()
Returns the last modified timestamp of the host web.xml.

Returns:
  the host web.xml timestamp